: Class SunJsseListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP
Class SunJsseListener

    java.lang.Object
      |
      +--com.mortbay.Util.ThreadedServer
            |
            +--com.mortbay.HTTP.HttpListener
                  |
                  +--com.mortbay.HTTP.JsseListener
                        |
                        +--com.mortbay.HTTP.SunJsseListener

public class SunJsseListener
extends JsseListener

JSSE Socket Listener. This specialization of JsseListener is an specific listener using the Sun reference implementation. This is heavily based on the work from Court Demas, which in turn is based on the work from Forge Research.

Version:
  $Id: SunJsseListener.java,v 1.2 2000/08/17 22:04:58 gregwilkins Exp $
Author:
  Greg Wilkins (gregw@mortbay.com), Court Demas (court@kiwiconsulting.com), Forge Research Pty Ltd ACN 003 491 576

Fields inherited from class com.mortbay.HTTP.JsseListener
`DEFAULT_KEYSTORE, KEYPASSWORD_PROPERTY, KEYSTORE_PROPERTY, PASSWORD_PROPERTY`

Fields inherited from class com.mortbay.HTTP.HttpListener
`ConstructArgs, frameDebug`

Constructor Summary
`SunJsseListener(InetAddrPort p_address, HttpServer p_server)` Constructor.
`SunJsseListener(InetAddrPort p_address, HttpServer p_server, int p_minThreads, int p_maxThreads, int p_maxIdleTimeMs)` Constructor.

Method Summary
`protected javax.net.ssl.SSLServerSocketFactory` | `createFactory()`

Methods inherited from class com.mortbay.HTTP.JsseListener
`accept, customiseRequest, newServerSocket`

Methods inherited from class com.mortbay.HTTP.HttpListener
`getAddress, handleConnection, start`

Methods inherited from class com.mortbay.Util.ThreadedServer
`address, getInetAddress, getInetAddrPort, getMaxIdleTimeMs, getMaxSize, getMinSize, getPort, getSize, handleConnection, join, port, run, setAddress, setAddress, setThreadClass, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunJsseListener

    public SunJsseListener(InetAddrPort p_address,
                           HttpServer p_server)
                    throws java.io.IOException

  Constructor.
  Parameters:
    `p_address` -
    `p_server` -
  Throws:
    java.io.IOException -

### SunJsseListener

    public SunJsseListener(InetAddrPort p_address,
                           HttpServer p_server,
                           int p_minThreads,
                           int p_maxThreads,
                           int p_maxIdleTimeMs)
                    throws java.io.IOException

  Constructor.
  Parameters:
    `p_address` -
    `p_server` -
    `p_minThreads` -
    `p_maxThreads` -
    `p_maxIdleTimeMs` -
  Throws:
    java.io.IOException -

Method Detail

### createFactory

    protected javax.net.ssl.SSLServerSocketFactory createFactory()
                                                          throws java.lang.Exception

  Overrides:
    createFactory in class JsseListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD